Subject: Re: [PATCH v2 0/4] add ref content check for files backend

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Aug 2024 08:07:15 -0700

Patrick Steinhardt <[email-masked]> writes:

>> +* Support for core.prefersymlinkrefs will be dropped.  Support for
>> +  existing repositories that use symbolic links to represent a
>> +  symbolic ref may or may not be dropped.
>> ++
>> +Cf. <[email-masked]>
>> +
>>  == Superseded features that will not be deprecated
> ...
> We should probably do the above together with a new check that starts to
> warn about symbolic links in "refs/" such that users become aware of
> this deprecation. We'd have to grow the infrastructure to also scan root
> refs though, which to the best of my knowledge we don't currently scan.

Yup, that is why the above suggestion is on _this_ thread that is
about the "check for curiously formatted symrefs, in the hope that
we can retroactively tighten our checks later" topic.